> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Get funding bills

GET https://www.okx.com/api/v5/asset/bills

Retrieve the funding account bills (transfers, deposits, withdrawals and other asset movements) in reverse chronological order. Records for the last one year are available.

Reference: https://okx-demo.ferndocs.com/api/api-reference/funding/get-bills

## Authentication

- `OK-ACCESS-KEY` header (required) — Your API key.
- `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string.
- `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.
- `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key.

## Request

### Query parameters

- `ccy` (string, optional) — Currency, e.g. BTC.
- `type` (string, optional) — Bill type, e.g. 1=deposit, 2=withdrawal, 13=canceled withdrawal, 20=transfer to sub-account, 21=transfer from sub-account.
- `after` (string, optional) — Pagination of data to return records earlier than the requested billId.
- `before` (string, optional) — Pagination of data to return records newer than the requested billId.
- `limit` (string, optional) — Number of results per request. Maximum is 100; default is 100.

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5AssetBillsGetResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5AssetBillsGetResponsesContentApplicationJsonSchemaDataItems

- `billId` (string, optional) — Bill ID.
- `ccy` (string, optional) — Currency.
- `clientId` (string, optional) — Client-supplied ID for transfer or withdrawal.
- `balChg` (string, optional) — Change in balance at the account level.
- `bal` (string, optional) — Balance at the account level.
- `type` (string, optional) — Bill type.
- `notes` (string, optional) — Notes.
- `ts` (string, optional) — Creation time, Unix timestamp in milliseconds.

## Examples

**Response**

```json
{
  "code": "0",
  "msg": "",
  "data": [
    {
      "billId": "12344",
      "ccy": "BTC",
      "clientId": "",
      "balChg": "2",
      "bal": "12",
      "type": "1",
      "notes": "",
      "ts": "1597026383085"
    }
  ]
}
```

**SDK Code**

```python funding_getBills_example
import requests

url = "https://www.okx.com/api/v5/asset/bills"

headers = {"OK-ACCESS-KEY": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript funding_getBills_example
const url = 'https://www.okx.com/api/v5/asset/bills';
const options = {method: 'GET', headers: {'OK-ACCESS-KEY': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go funding_getBills_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/asset/bills"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("OK-ACCESS-KEY", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby funding_getBills_example
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/asset/bills")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["OK-ACCESS-KEY"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java funding_getBills_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://www.okx.com/api/v5/asset/bills")
  .header("OK-ACCESS-KEY", "<apiKey>")
  .asString();
```

```php funding_getBills_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://www.okx.com/api/v5/asset/bills', [
  'headers' => [
    'OK-ACCESS-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp funding_getBills_example
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/asset/bills");
var request = new RestRequest(Method.GET);
request.AddHeader("OK-ACCESS-KEY", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift funding_getBills_example
import Foundation

let headers = ["OK-ACCESS-KEY": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/asset/bills")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```